Skip to main content
DELETE
/
v0
/
ledgers
/
{ledger_id}
Delete a Ledger
curl --request DELETE \
  --url https://api.sandbox.teal.dev/v0/ledgers/{ledger_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'teal-instance-id: <teal-instance-id>'
{
  "message": "<string>",
  "data": "<unknown>",
  "display_message": "<string>",
  "error_code": "invalid_date"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Headers

teal-instance-id
string
required

The Teal instance ID

Path Parameters

ledger_id
string
required

The ledger ID

Query Parameters

delete_journal_entries
boolean
default:false

Whether to delete journal entries associated with this ledger. When true, deletes all journal entries containing line entries on this ledger, along with reconciliations and the source account. This operation is irreversible.

Response

Successful Response